<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:sat="http://ServiceAnalyzerTests/ComplexTypes"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"            
            targetNamespace="http://ServiceAnalyzerTests/ComplexTypes">

    <xsd:element name="esq1" type="sat:sequence1"/>
    <!-- ¡Ojo, se trata como contenido element, no sequence! -->
    <xsd:complexType name="sequence1" >
        <xsd:sequence>
            <xsd:element name="one" type="string"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq1_1" type="sat:sequence1_1"/>
    <xsd:complexType name="sequence1_1" >
        <xsd:sequence>
            <xsd:element name="one" type="string"/>
            <xsd:element name="two" type="string"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq1_2" type="sat:sequence1_2"/>
    <xsd:complexType name="sequence1_2" >
        <xsd:sequence>
            <xsd:element name="ONE" type="string"/>
            <xsd:element name="TWO" type="sat:sequence1_1"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq2" type="sat:sequence2"/>
    <xsd:complexType name="sequence2" >
        <xsd:sequence minOccurs="0" maxOccurs="1">
            <xsd:element name="one" type="string"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq2_1" type="sat:sequence2_1"/>
    <xsd:complexType name="sequence2_1" >
        <xsd:sequence>
            <xsd:element name="one" type="string" minOccurs="0" maxOccurs="1"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq3" type="sat:sequence3"/>
    <xsd:complexType name="sequence3" >
        <xsd:sequence minOccurs="0" maxOccurs="unbounded">
            <xsd:element name="one" type="string"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq3_1" type="sat:sequence3_1"/>
    <xsd:complexType name="sequence3_1" >
        <xsd:sequence>
            <xsd:element name="one" type="string" minOccurs="0" maxOccurs="unbounded"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq4" type="sat:sequence4"/>
    <xsd:complexType name="sequence4" >
        <xsd:sequence minOccurs="0" maxOccurs="unbounded">
            <xsd:element name="one" type="string"/>
            <xsd:element name="two" type="float"/>
        </xsd:sequence>
    </xsd:complexType>
    
    <simpleType name="st9">
        <list itemType="int"/>
    </simpleType>
    <xsd:element name="esq5" type="sat:sequence5"/>
    <xsd:complexType name="sequence5" >
        <xsd:sequence minOccurs="0" maxOccurs="unbounded">
            <xsd:element name="one" type="sat:st9" minOccurs="0" maxOccurs="unbounded"/>
            <xsd:element name="two" type="string" minOccurs="0" maxOccurs="1"/>
            <xsd:element name="three" type="boolean"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="esq6" type="sat:sequence6"/>
    <xsd:complexType name="sequence6" >
        <xsd:sequence>
            <xsd:element name="iterative" type="sat:sequence5"  minOccurs="0" maxOccurs="unbounded"/>
        </xsd:sequence>
    </xsd:complexType>
    
     <xsd:element name="eat1" type="sat:at1"/>
     <xsd:complexType name="at1">
        <xsd:attribute name="total" type="xsd:float"/>
    </xsd:complexType>
    
    <xsd:element name="eat2" type="sat:at2"/>
    <xsd:complexType name="at2">
        <xsd:attribute name="total" type="xsd:float" use="required"/>
        <xsd:attribute name="total1" type="xsd:float" fixed="100"/>
        <xsd:attribute name="total2" type="xsd:float" default="200"/>
    </xsd:complexType>
    
    <xsd:element name="eat3" type="sat:at3"/>
    <xsd:complexType name="at3">
        <xsd:simpleContent>
            <xsd:extension base="string">
                <xsd:attribute name="total" type="xsd:int"/>
            </xsd:extension>
        </xsd:simpleContent>
    </xsd:complexType>

    <xsd:element name="eat4" type="sat:at4"/>
    <xsd:complexType name="at4">
        <xsd:sequence minOccurs="0" maxOccurs="unbounded">
            <xsd:element name="one" type="sat:at3" minOccurs="0" maxOccurs="unbounded"/>
            <xsd:element name="two" type="string" minOccurs="0" maxOccurs="1"/>
            <xsd:element name="three" type="boolean"/>
        </xsd:sequence>
        <xsd:attribute name="pin" type="sat:st9"/>
        <xsd:attribute name="total" type="xsd:float"/>
    </xsd:complexType>

    <xsd:element name="erep1" type="sat:rep1"/>
    <xsd:complexType name="rep1" >
        <xsd:sequence>
            <xsd:element name="one" type="boolean"/>
            <xsd:element name="two" type="boolean"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="emix" type="sat:mix"/>
    <xsd:complexType name="mix" mixed="true">
        <xsd:sequence>
            <xsd:element name="one" type="integer"/>
            <xsd:element name="two" type="boolean"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:element name="echo" type="sat:cho"/>
    <xsd:complexType name="cho" >
        <xsd:choice>
            <xsd:element name="one" type="integer"/>
            <xsd:element name="two" type="boolean"/>
        </xsd:choice>
    </xsd:complexType>

    <xsd:element name="eall" type="sat:all"/>
    <xsd:complexType name="all" >
        <xsd:all>
            <xsd:element name="one" type="integer"/>
            <xsd:element name="two" type="boolean"/>
        </xsd:all>
    </xsd:complexType>

    <xsd:element name="eany" type="sat:any"/>
    <xsd:complexType name="any">
        <xsd:sequence>
            <xsd:any maxOccurs="unbounded"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:complexType name="cho2">
    	<xsd:choice minOccurs="0" maxOccurs="unbounded">
    		<xsd:element name="one" type="string"></xsd:element>
    		<xsd:element name="two" type="float"></xsd:element>
    		<xsd:element name="pair" minOccurs="2" maxOccurs="4">
    			<xsd:complexType>
    				<xsd:sequence>
    					<xsd:element name="a" type="int"></xsd:element>
    					<xsd:element name="b" type="int"></xsd:element>
    				</xsd:sequence>
    			</xsd:complexType></xsd:element>
    	</xsd:choice>
    </xsd:complexType>

    <xsd:element name="echo2" type="sat:cho2"></xsd:element>
</xsd:schema>
